
QGIS Application - Bug report #6193

Can't load layers from a zip a 2nd time, after it is modified (need to restart QGIS)

2012-08-14 01:05 AM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 15507

Description

Attached is a small example zip.

Don't extract it - use the new ability in QGIS (since 1.8) to load the shp layers from inside the zip.  Yes, the layers are empty ;)

Click "File>New Project".

Open the zip file in your favourite zip software, and delete the xml files (they are some sort of ESRI metadata file).

Try to load the layers from the zip file again - you will get an (incorrect) error message for each layer that it "is not a valid or recognized

data source".

Restart QGIS and you will be able to load the layers successfully.

I guess this is caused by some sort of caching that is going on.  But is it a QGIS problem, or an upstream problem?

I have only tested with master and in Windows so far.

A likely "use case" is when a website allows a user to select some layers and geographic area and download a zip of the data.  They may

then decide to add more layers or increase the area and download a new zip, replacing the old one.  Unless they restart QGIS before

loading layers from the new zip, they will get the incorrect error message, and be confused, perhaps thinking that the second download is

corrupt.

History

#1 - 2012-08-15 07:08 PM - Alister Hood

- File Copy_of_AC_GIS_Data_13_8_2012.zip added

Sorry, I forgot the attachment, and then the server went offline :(

#2 - 2012-08-16 09:41 AM - Giovanni Manghi

- Category set to Vectors

- Target version set to Version 2.0.0

A likely "use case" is when a website allows a user to select some layers and geographic area and download a zip of the data. They may then

decide to add more layers or increase the area and download a new zip, replacing the old one. Unless they restart QGIS before loading layers from

the new zip, they will get the incorrect error message, and be confused, perhaps thinking that the second download is corrupt.

what is the chance for this happen? :) Anyway I guess that this would be better to be fixed, but not really sure this is a qgis issue.

#3 - 2012-08-16 03:35 PM - Alister Hood
Giovanni Manghi wrote:

what is the chance for this happen? :)

Well, I encountered it the first time I used layers from a zip in real life :)

#4 - 2012-08-17 08:14 PM - Alister Hood

I forgot to say: I've now tested and the problem is the same on Linux.

#5 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

Copy_of_AC_GIS_Data_13_8_2012.zip 10.3 KB 2012-08-15 Alister Hood
